aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-stencil/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-16 08:37:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:35 +0000
commit7ff3e291e40837cbf59a3ef684ffd7401089ebf0 (patch)
tree76a65df62f3debac7d71ac5520881faac99f52a0 /testing/py-stencil/APKBUILD
parent68a9b96939eed6455ef43bdcc22c5714a9690d60 (diff)
downloadaports-7ff3e291e40837cbf59a3ef684ffd7401089ebf0.tar.gz
aports-7ff3e291e40837cbf59a3ef684ffd7401089ebf0.tar.bz2
aports-7ff3e291e40837cbf59a3ef684ffd7401089ebf0.tar.xz
testing/py-stencil: new aport
A Python module to creates files and directories from templates https://github.com/trilan/stencil
Diffstat (limited to 'testing/py-stencil/APKBUILD')
-rw-r--r--testing/py-stencil/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-stencil/APKBUILD b/testing/py-stencil/APKBUILD
new file mode 100644
index 0000000000..88a43dc545
--- /dev/null
+++ b/testing/py-stencil/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-stencil
+_pkgname=Stencil
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="A Python module to creates files and directories from templates"
+url="https://github.com/trilan/stencil"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a4146fde69df3ee95b4d9c7a596f3fd3 Stencil-0.2.1.tar.gz"
+sha256sums="c68196d1f0b27a2981d98c61d28de5777c766f10356207dd8f068e2469c2c2ac Stencil-0.2.1.tar.gz"
+sha512sums="18d42d8b30141a55074ea8c6dcd0d07bcdd65f3effe7eef2fa525b6580e3cef30a28ee22a61c94432316a898ed2fe6408c12279be9e8c82108ea220bf79b549c Stencil-0.2.1.tar.gz"